Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions
Lucene::AcceptAllSinkFilter Class Reference

`#include <TeeSinkTokenFilter.h>`

Inheritance diagram for Lucene::AcceptAllSinkFilter:

## Public Member Functions

virtual | ~AcceptAllSinkFilter ()
virtual String | getClassName ()
boost::shared_ptr< AcceptAllSinkFilter > | shared_from_this ()
virtual bool | accept (const AttributeSourcePtr &source)
| Returns true, if the current state of the passed-in AttributeSource shall be stored in the sink. More...
Public Member Functions inherited from Lucene::SinkFilter
virtual | ~SinkFilter ()
boost::shared_ptr< SinkFilter > | shared_from_this ()
virtual void | reset ()
| Called by SinkTokenStream#reset(). This method does nothing by default and can optionally be overridden. More...
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal. More...
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects. More...
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()
Static Public Member Functions inherited from Lucene::SinkFilter
static String | _getClassName ()

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Constructor & Destructor Documentation

virtual Lucene::AcceptAllSinkFilter::~AcceptAllSinkFilter | ( |  | ) |

virtual

## Member Function Documentation

static String Lucene::AcceptAllSinkFilter::_getClassName | ( |  | ) |

inline static

virtual bool Lucene::AcceptAllSinkFilter::accept | ( | const AttributeSourcePtr & | source | ) |

virtual

Returns true, if the current state of the passed-in AttributeSource shall be stored in the sink.

Implements Lucene::SinkFilter.

virtual String Lucene::AcceptAllSinkFilter::getClassName | ( |  | ) |

inline virtual

Reimplemented from Lucene::SinkFilter.

boost::shared_ptr< AcceptAllSinkFilter > Lucene::AcceptAllSinkFilter::shared_from_this | ( |  | ) |

inline

The documentation for this class was generated from the following file:

- TeeSinkTokenFilter.h

clucene.sourceforge.net